Subject: Updating Ticket Fatal Error

Description: Installed everything to the T, worked great.


Have a later version of Kayako so the CustomGroup...php file was already matching that which has been 

posted on the wiki. Did the ticketconfirmation -> ticketConfirmation template change in the supportticket file 

to fix the step 3 blank page, worked great! I did not do all the swift modifications in that file because after 

comparing the CustomGroup I saw that those changes were in, so figured the other swift mods were? Could 

that be the problem/should I do those swift modifications in the .doc file?





Everything works great EXCEPT one thing primarily:


Upon viewing a ticket, changing the status and hitting "Update" (or just hitting "Update") it throws the 

following error (display_errors on):





Fatal error: Uncaught exception 'kyException' with message 'HTTP error: 403' in 

/home/ttech11/public_html/clients/modules/support/kayako/API/kyRESTClient.php:195 Stack trace: #0 

/home/ttech11/public_html/clients/modules/support/kayako/API/kyRESTClient.php(239): 

kyRESTClient->processRequest('/Tickets/Ticket', 'PUT', Array, Array, Array) #1 

/home/ttech11/public_html/clients/modules/support/kayako/API/kyObjectBase.php(269): 

kyRESTClient->put('/Tickets/Ticket', Array, Array) #2 

/home/ttech11/public_html/clients/modules/support/kayako/API/kyObjectWithCustomFieldsBase.php(41): 

kyObjectBase->update() #3 /home/ttech11/public_html/clients/modules/support/kayako/updateticket.php(26): 

kyObjectWithCustomFieldsBase->update() #4 

/home/ttech11/public_html/clients/modules/support/kayako/viewticket.php(96): 

require_once('/home/ttech11/p...') #5 /home/ttech11/public_html/clients/viewticket.php(0): unknown() #6 

{main} thrown in /home/ttech11/public_html/clients/modules/support/kayako/API/kyRESTClient.php on line 

195











Any ideas?





Also couple questions:


- When a client is viewing a ticket, they shouldnt be able to see all statues??? Any way to get rid of the 

dropdown and just show the current status then just add a close ticket button???


- The status and priority are way too close together/overlapping, where could I modify those margins/which 

template page is it?


- On the KB article page, under Kayako we have the staff name removed under the article title so it just says 

posted on date, where could I change that?





Running Kayako version 4.53.2633


Running latest WHMCS


As mentioned latest versions shouldn't effect, as everything works flawlessly beyond what mentioned above! 







Thanks guys, amazing module!

History

03/20/2013 05:54 pm - Craig Finnegan

09 Apr 2025 1/3



Also - is there any way to make it so that when the user goes to Support->Tickets, if there are no tickets it says something as such instead of just 

being an empty table? I.e. says "You have no open tickets, click here to submit a new one" type of thing? That's more of a feature request, not a big 

deal. Thanks!

03/20/2013 05:57 pm - Craig Finnegan

Or, better yet, is it possible to have "View Resolved Tickets" enabled by default so they click the button to hide them?





Craig Finnegan wrote:


> Also - is there any way to make it so that when the user goes to Support->Tickets, if there are no tickets it says something as such instead of just 

being an empty table? I.e. says "You have no open tickets, click here to submit a new one" type of thing? That's more of a feature request, not a big 

deal. Thanks!





03/20/2013 06:00 pm - Craig Finnegan

Ahhh I wish there was an edit button haha, sorry for multiple posts this should be the last one! 





Files attached to tickets do not show anywhere in the ticket? At least looking at past tickets for reference.





Thanks again!

03/20/2013 06:04 pm - Craig Finnegan

Okay now last one :P





One last issue, when opening a new ticket it's displaying departments which are hidden/private, how can we get those hidden? I saw someone posted 

similar about KB articles, i'll give that a shot and see if it's related.

03/20/2013 06:33 pm - Craig Finnegan

Update: #2 of SWIFT Mods doc was not in the latest version of Kayako, so did that change. Furthermore #3 WAS done (attachments) however if you 

look at bottom of that SWIFT# bug report there is another aspect to it that was NOT in the final version - so did that.





Ticket attachments are working, I have a feeling I was not seeing them as they were past tickets when I was on an old version which was not updating 

that information correctly maybe? In either case I created a new ticket using the system and posted an attachment and worked great. But still 

wondering on the above (Fatal Error, Hidden/Private Depts showing for users, etc.)

03/20/2013 06:42 pm - Craig Finnegan

Alright NOW here's the last post, really wish was able to edit previous posts so don't look like an idiot with 8 posts haha. Regardless went through 

everything and anything and now am done, waiting on all the above except for ticket attachments. 





One LAST thing I found was that when the ticket is displayed in WHMCS to the user, the posts are striped of their whitespace. So for example our staff 

has our signature going down a line then their name, then our tagline. Well when users view a reply from our staff, or their own reply via email, their 

WHOLE post is all on one line so looks pretty bad. Is there a fix for this? Thanks guys I'm done for now will wait for a reply hopefully sooner than later! 

Thanks and really awesome module, love it.

03/22/2013 03:14 am - Amarjeet Kaur

Hi Craig,





Please find answers of your all queries below:





*1. Fatal Error while updating ticket*





Kindly check , if *'PUT Method'* is enabled at your server.  To update ticket, you need to enable this method on your server.
*2.  To give message, in case the table is empty*





We will update it in WHMCS build soon.





*3. Is it possible to have "View Resolved Tickets" enabled by default so they click the button to hide them?*





By default, the tickets with status other than 'Resolved' are visible.  This will provide a better view, rather than combining all entries.





*4. Files attached to tickets do not show anywhere in the ticket? At least looking at past tickets for reference.*





I assume, it is working at your end from your post.





*5. When opening a new ticket it's displaying departments which are hidden/private, how can we get those hidden?*





We will check this issue, and will update it.





*6. The posts are striped of their whitespace*





We will check this issue, and will update it.





I hope, I have covered all your queries. We will update all the issues/feature requests soon in WHMCS build.





Your patience and understanding is appreciated in this regard.





Thank you,


Amarjeet Kaur














06/24/2013 02:19 am - Amarjeet Kaur

- Status changed from New to Closed
